#!/bin/bash

set -e

tmp=$(mktemp -d)

trap cleanup EXIT
cleanup() {
    set +e
    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
}

unset CDPATH
pwd=$(pwd)
cvs=$(date +%Y%m%d)cvs
name=RasmusDSP

cd "$tmp"
cvs -z3 -d:pserver:anonymous@rasmusdsp.cvs.sourceforge.net:/cvsroot/rasmusdsp \
    export -D $(date +%Y%m%d) $name
tar jcf "$pwd"/$name-$cvs.tar.bz2 $name
echo "Written: $name-$cvs.tar.bz2"
cd - >/dev/null
