#!/bin/sh

# source the jpackage helpers
VERBOSE=1
. /usr/share/java-utils/java-functions

# set JAVA_* environment variables
set_javacmd
check_java_env
set_jvm_dirs

LIBRARY_PATH=/usr/lib
for arch in x86_64 ppc64; do
    if [[ $(uname -i) == "$arch" ]]; then
        LIBRARY_PATH=/usr/lib64
    fi
done

CLASSPATH=${LIBRARY_PATH}/RasmusDSP/RasmusDSP.jar

set_options "-Xmx384m -Xincgc -Djava.library.path="${LIBRARY_PATH}/RasmusDSP" -cp ${CLASSPATH}"

MAIN_CLASS="rasmus.editor.RasmusEditor"

run
